<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmpContractAlertMapper">

  <resultMap id="tEmpContractAlertMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmpContractAlert">
	  <id property="id" column="ID"/>
	  <result property="empName" column="EMP_NAME"/>
	  <result property="empId" column="EMP_ID"/>
	  <result property="project" column="PROJECT"/>
	  <result property="projectNo" column="PROJECT_NO"/>
	  <result property="empIdcard" column="EMP_IDCARD"/>
	  <result property="empCode" column="EMP_CODE"/>
	  <result property="contractStart" column="CONTRACT_START"/>
	  <result property="contractEnd" column="CONTRACT_END"/>
	  <result property="fileProvince" column="FILE_PROVINCE"/>
	  <result property="fileCity" column="FILE_CITY"/>
	  <result property="fileTown" column="FILE_TOWN"/>
	  <result property="empType" column="EMP_TYPE"/>
	  <result property="contractType" column="CONTRACT_TYPE"/>
	  <result property="contractTerm" column="CONTRACT_TERM"/>
	  <result property="daysDue" column="DAYS_DUE"/>
	  <result property="dueFlag" column="DUE_FLAG"/>
	  <result property="daysOver" column="DAYS_OVER"/>
	  <result property="firstAlertTime" column="FIRST_ALERT_TIME"/>
	  <result property="alertPerson" column="ALERT_PERSON"/>
	  <result property="handleStatus" column="HANDLE_STATUS"/>
	  <result property="createBy" column="CREATE_BY"/>
	  <result property="updateBy" column="UPDATE_BY"/>
	  <result property="createName" column="CREATE_NAME"/>
	  <result property="createTime" column="CREATE_TIME"/>
	  <result property="updateTime" column="UPDATE_TIME"/>
	  <result property="isFeedback" column="IS_FEEDBACK"/>
	  <result property="feedbackReason" column="FEEDBACK_REASON"/>
	  <result property="feedbackDetail" column="FEEDBACK_DATAIL"/>
	  <result property="contractId" column="CONTRACT_ID"/>
	  <result property="applyNo" column="APPLY_NO"/>


  </resultMap>
    <update id="truncate">
		TRUNCATE t_emp_contract_alert
	</update>

<update id="changeFeedBackAll"  parameterType="com.yifu.cloud.plus.v1.yifu.archives.vo.ChangeFeedBackAllVo">
	update  t_emp_contract_alert a
	set a.IS_FEEDBACK=#{changeFeedBackAllVo.isFeedback},a.FEEDBACK_REASON=#{changeFeedBackAllVo.feedbackReason},a.FEEDBACK_DETAIL=#{changeFeedBackAllVo.feedbackDetail},
	a.FEEDBACK_PERSON=#{changeFeedBackAllVo.feedbackPerson},a.FEEDBACK_TIME=#{changeFeedBackAllVo.feedbackTime}
	where a.APPLY_NO in
	<foreach item="idStr" index="index" collection="changeFeedBackAllVo.ids" open="(" separator="," close=")">
		#{idStr}
	</foreach>
</update>

	<select id="getAlertInfoList" resultMap="tEmpContractAlertMap">
		select
			a.ID,
		    a.EMP_NAME,
			a.PROJECT_NO,
			a.APPLY_NO,
			a.EMP_IDCARD
		from t_emp_contract_alert a
		where a.EMP_IDCARD in
		<foreach item="idStr" index="index" collection="idCardList" open="(" separator="," close=")">
			#{idStr}
		</foreach>
	</select>

</mapper>
